|  | Class Members updated Mon Sep 25 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - s -

- S : reflex::Pattern::ModConst
- s : reflex::Pattern::ModConst , reflex::Pattern::Option
- s1 : reflex::lazy_intersection< S1, S2 > , reflex::lazy_union< S1, S2 >
- s2 : reflex::lazy_intersection< S1, S2 > , reflex::lazy_union< S1, S2 >
- SCAN : reflex::AbstractMatcher::Const
- scan : reflex::AbstractMatcher
- second : reflex::lazy_union< S1, S2 >::iterator
- section_1 : Reflex
- section_2 : Reflex
- section_3 : Reflex
- section_begin : Reflex
- section_class : Reflex
- section_init : Reflex
- section_top : Reflex
- set_bob() : reflex::AbstractMatcher
- set_bol() : reflex::AbstractMatcher
- set_current() : reflex::AbstractMatcher
- set_current_match() : reflex::AbstractMatcher
- set_debug() : reflex::AbstractLexer< M >
- set_end() : reflex::AbstractMatcher
- set_handler() : reflex::AbstractMatcher , reflex::Input
- set_library() : Reflex
- SGR() : Reflex
- showmanyc() : reflex::BufferedInput::dos_streambuf , reflex::BufferedInput::streambuf , reflex::Input::dos_streambuf , reflex::Input::streambuf
- signature : Reflex::Library
- simd_advance_avx2() : reflex::Matcher
- simd_advance_avx512bw() : reflex::Matcher
- simd_match_avx2() : reflex::Matcher
- simd_match_avx512bw() : reflex::Matcher
- size() : reflex::AbstractLexer< M > , reflex::AbstractMatcher , reflex::Bits , reflex::BufferedInput
- SIZE : reflex::BufferedInput
- size() : reflex::Input , reflex::Pattern
- size_ : reflex::AbstractLexer< M > , reflex::Input
- skip() : reflex::AbstractMatcher
- skip_comment() : Reflex
- span() : reflex::AbstractMatcher
- SPLIT : reflex::AbstractMatcher::Const
- split : reflex::AbstractMatcher
- stack_ : reflex::AbstractLexer< M >
- start() : reflex::AbstractLexer< M > , reflex::Pattern::DFA
- Start : Reflex
- start_ : reflex::AbstractLexer< M >
- Starts : Reflex
- state() : reflex::Pattern::DFA
- State() : reflex::Pattern::DFA::State , reflex::Pattern::HFA
- state_ : reflex::AbstractLexer< M >
- StateHashes : reflex::Pattern::HFA
- States : reflex::Pattern::HFA
- states : reflex::Pattern::HFA
- states_empty() : reflex::AbstractLexer< M >
- StateSet : reflex::Pattern::HFA
- StdEcmaMatcher() : reflex::StdEcmaMatcher
- stdinit() : reflex::AbstractLexer< M >
- StdMatcher() : reflex::StdMatcher
- StdPosixMatcher() : reflex::StdPosixMatcher
- stk_ : reflex::Matcher , reflex::PCRE2Matcher
- stops() : reflex::Matcher
- Stops : reflex::Matcher
- str() : reflex::AbstractLexer< M > , reflex::AbstractMatcher
- streambuf() : reflex::BufferedInput::streambuf , reflex::Input::streambuf
- StringMap : Reflex
- Strings : Reflex
- swap() : reflex::Bits , reflex::Pattern::Chars
- switch_streams() : reflex::FlexLexer< M >